Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_node_from_literal

## Name

librdf_new_node_from_literal -- Constructor - create a new literal librdf_node object

## Synopsis

``librdf_node* `librdf_new_node_from_literal`` (librdf_world * `world`, const char * `string`, const char * `xml_language`, int `is_wf_xml`);`

## Arguments

`world`

  redland world object

`string`

  literal string value

`xml_language`

  literal XML language (or NULL, empty string)

`is_wf_xml`

  non 0 if literal is XML

## Description

0.9.12: xml_space argument deleted

## Return value

new librdf_node object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_node_from_normalised_uri_string | Up | librdf_new_node_from_typed_literal